Index: librt/primitives/ebm/ebm.c
===================================================================
--- librt/primitives/ebm/ebm.c	(revision 54048)
+++ librt/primitives/ebm/ebm.c	(working copy)
@@ -539,7 +539,7 @@
     bu_vls_strcpy(&str, rp->ss.ss_args);
     if (bu_struct_parse(&str, rt_ebm_parse, (char *)eip) < 0) {
 	bu_vls_free(&str);
-	bu_free((char *)eip, "rt_ebm_import4: eip");
+	bu_free((genptr_t)eip, "rt_ebm_import4: eip");
 	ip->idb_type = ID_NULL;
 	ip->idb_ptr = (genptr_t)NULL;
 	return -2;
@@ -552,7 +552,7 @@
 	eip->tallness <= 0.0) {
 	bu_struct_print("Unreasonable EBM parameters", rt_ebm_parse,
 			(char *)eip);
-	bu_free((char *)eip, "rt_ebm_import4: eip");
+	bu_free((genptr_t)eip, "rt_ebm_import4: eip");
 	ip->idb_type = ID_NULL;
 	ip->idb_ptr = (genptr_t)NULL;
 	return -1;
@@ -567,7 +567,7 @@
     mp = bu_open_mapped_file_with_path(dbip->dbi_filepath, eip->file, "ebm");
     if (!mp) {
 	bu_log("rt_ebm_import4() unable to open '%s'\n", eip->file);
-	bu_free((char *)eip, "rt_ebm_import4: eip");
+	bu_free((genptr_t)eip, "rt_ebm_import4: eip");
     fail:
 	ip->idb_type = ID_NULL;
 	ip->idb_ptr = (genptr_t)NULL;
@@ -684,7 +684,7 @@
     bu_vls_strcpy(&str, (const char *)ep->ext_buf);
     if (bu_struct_parse(&str, rt_ebm_parse, (char *)eip) < 0) {
 	bu_vls_free(&str);
-	bu_free((char *)eip, "rt_ebm_import4: eip");
+	bu_free((genptr_t)eip, "rt_ebm_import4: eip");
 	ip->idb_type = ID_NULL;
 	ip->idb_ptr = (genptr_t)NULL;
 	return -2;
@@ -697,7 +697,7 @@
 	eip->tallness <= 0.0) {
 	bu_struct_print("Unreasonable EBM parameters", rt_ebm_parse,
 			(char *)eip);
-	bu_free((char *)eip, "rt_ebm_import4: eip");
+	bu_free((genptr_t)eip, "rt_ebm_import4: eip");
 	ip->idb_type = ID_NULL;
 	ip->idb_ptr = (genptr_t)NULL;
 	return -1;
@@ -712,7 +712,7 @@
     mp = bu_open_mapped_file_with_path(dbip->dbi_filepath, eip->file, "ebm");
     if (!mp) {
 	bu_log("rt_ebm_import4() unable to open '%s'\n", eip->file);
-	bu_free((char *)eip, "rt_ebm_import4: eip");
+	bu_free((genptr_t)eip, "rt_ebm_import4: eip");
     fail:
 	ip->idb_type = ID_NULL;
 	ip->idb_ptr = (genptr_t)NULL;
@@ -857,7 +857,7 @@
 
     eip->magic = 0;			/* sanity */
     eip->mp = (struct bu_mapped_file *)0;
-    bu_free((char *)eip, "ebm ifree");
+    bu_free((genptr_t)eip, "ebm ifree");
     ip->idb_ptr = GENPTR_NULL;	/* sanity */
     ip->idb_type = ID_NULL;		/* sanity */
 }
@@ -1099,7 +1099,7 @@
     BU_CK_MAPPED_FILE(ebmp->ebm_i.mp);
     bu_close_mapped_file(ebmp->ebm_i.mp);
 
-    bu_free((char *)ebmp, "rt_ebm_specific");
+    bu_free((genptr_t)ebmp, "rt_ebm_specific");
 }
 
 
@@ -1549,22 +1549,22 @@
 
     (void)nmg_mark_edges_real(&s->l.magic);
 
-    bu_free((char *)vertp, "rt_ebm_tess: vertp");
-    bu_free((char *)loop_verts, "rt_ebm_tess: loop_verts");
+    bu_free((genptr_t)vertp, "rt_ebm_tess: vertp");
+    bu_free((genptr_t)loop_verts, "rt_ebm_tess: loop_verts");
     while (BU_LIST_NON_EMPTY(&edges.l)) {
 	e = BU_LIST_FIRST(ebm_edge, &edges.l);
 	BU_LIST_DEQUEUE(&e->l);
-	bu_free((char *)e, "rt_ebm_tess: e");
+	bu_free((genptr_t)e, "rt_ebm_tess: e");
     }
     return 0;
 
 fail:
-    bu_free((char *)vertp, "rt_ebm_tess: vertp");
-    bu_free((char *)loop_verts, "rt_ebm_tess: loop_verts");
+    bu_free((genptr_t)vertp, "rt_ebm_tess: vertp");
+    bu_free((genptr_t)loop_verts, "rt_ebm_tess: loop_verts");
     while (BU_LIST_NON_EMPTY(&edges.l)) {
 	e = BU_LIST_FIRST(ebm_edge, &edges.l);
 	BU_LIST_DEQUEUE(&e->l);
-	bu_free((char *)e, "rt_ebm_tess: e");
+	bu_free((genptr_t)e, "rt_ebm_tess: e");
     }
 
     return -1;
Index: librt/primitives/tor/tor.c
===================================================================
--- librt/primitives/tor/tor.c	(revision 54048)
+++ librt/primitives/tor/tor.c	(working copy)
@@ -784,9 +784,9 @@
     }
 
     /* Free tmp space used */
-    bu_free((char *)C, "tor C");
-    bu_free((char *)val, "tor val");
-    bu_free((char *)cor_proj, "tor cor_proj");
+    bu_free((genptr_t)C, "tor C");
+    bu_free((genptr_t)val, "tor val");
+    bu_free((genptr_t)cor_proj, "tor cor_proj");
 }
 
 
@@ -932,7 +932,7 @@
     register struct tor_specific *tor =
 	(struct tor_specific *)stp->st_specific;
 
-    bu_free((char *)tor, "tor_specific");
+    bu_free((genptr_t)tor, "tor_specific");
 }
 
 
@@ -1224,7 +1224,7 @@
 	}
     }
 
-    bu_free((char *)pts, "rt_tor_plot pts[]");
+    bu_free((genptr_t)pts, "rt_tor_plot pts[]");
     return 0;
 }
 
@@ -1399,10 +1399,10 @@
     /* Compute "geometry" for region and shell */
     nmg_region_a(*r, tol);
 
-    bu_free((char *)pts, "rt_tor_tess pts[]");
-    bu_free((char *)verts, "rt_tor_tess *verts[]");
-    bu_free((char *)faces, "rt_tor_tess *faces[]");
-    bu_free((char *)norms, "rt_tor_tess norms[]");
+    bu_free((genptr_t)pts, "rt_tor_tess pts[]");
+    bu_free((genptr_t)verts, "rt_tor_tess *verts[]");
+    bu_free((genptr_t)faces, "rt_tor_tess *faces[]");
+    bu_free((genptr_t)norms, "rt_tor_tess norms[]");
     return 0;
 }
 
@@ -1739,7 +1739,7 @@
     tip = (struct rt_tor_internal *)ip->idb_ptr;
     RT_TOR_CK_MAGIC(tip);
 
-    bu_free((char *)tip, "rt_tor_internal");
+    bu_free((genptr_t)tip, "rt_tor_internal");
     ip->idb_ptr = GENPTR_NULL;	/* sanity */
 }
 
Index: librt/primitives/epa/epa.c
===================================================================
--- librt/primitives/epa/epa.c	(revision 54048)
+++ librt/primitives/epa/epa.c	(working copy)
@@ -635,7 +635,7 @@
 	(struct epa_specific *)stp->st_specific;
 
 
-    bu_free((char *)epa, "epa_specific");
+    bu_free((genptr_t)epa, "epa_specific");
 }
 
 
@@ -1013,7 +1013,7 @@
 
 	    /* get next node before freeing */
 	    next = pos_b->next;
-	    bu_free((char *)pos_b, "rt_pt_node");
+	    bu_free((genptr_t)pos_b, "rt_pt_node");
 	    pos_b = next;
 	}
 	/* construct parabola along semi-major axis of epa using same
@@ -1129,10 +1129,10 @@
 
     /* free mem */
     for (i = 0; i < nell; i++) {
-	bu_free((char *)ellipses[i], "pts ell");
+	bu_free((genptr_t)ellipses[i], "pts ell");
     }
-    bu_free((char *)ellipses, "fastf_t ell[]");
-    bu_free((char *)pts_dbl, "dbl ints");
+    bu_free((genptr_t)ellipses, "fastf_t ell[]");
+    bu_free((genptr_t)pts_dbl, "dbl ints");
 
     return 0;
 }
@@ -1313,7 +1313,7 @@
 	    struct rt_pt_node *tmp;
 
 	    tmp = pos_b->next;
-	    bu_free((char *)pos_b, "rt_pt_node");
+	    bu_free((genptr_t)pos_b, "rt_pt_node");
 	    pos_b = tmp;
 	}
 	/* construct parabola along semi-major axis of epa
@@ -1588,27 +1588,27 @@
     nmg_shell_coplanar_face_merge(s, tol, 1);
 
     /* free mem */
-    bu_free((char *)outfaceuses, "faceuse []");
+    bu_free((genptr_t)outfaceuses, "faceuse []");
     for (i = 0; i < nell; i++) {
-	bu_free((char *)ellipses[i], "pts ell");
-	bu_free((char *)vells[i], "vertex []");
+	bu_free((genptr_t)ellipses[i], "pts ell");
+	bu_free((genptr_t)vells[i], "vertex []");
     }
-    bu_free((char *)ellipses, "fastf_t ell[]");
-    bu_free((char *)pts_dbl, "dbl ints");
-    bu_free((char *)vells, "vertex [][]");
+    bu_free((genptr_t)ellipses, "fastf_t ell[]");
+    bu_free((genptr_t)pts_dbl, "dbl ints");
+    bu_free((genptr_t)vells, "vertex [][]");
 
     return 0;
 
  fail:
     /* free mem */
-    bu_free((char *)outfaceuses, "faceuse []");
+    bu_free((genptr_t)outfaceuses, "faceuse []");
     for (i = 0; i < nell; i++) {
-	bu_free((char *)ellipses[i], "pts ell");
-	bu_free((char *)vells[i], "vertex []");
+	bu_free((genptr_t)ellipses[i], "pts ell");
+	bu_free((genptr_t)vells[i], "vertex []");
     }
-    bu_free((char *)ellipses, "fastf_t ell[]");
-    bu_free((char *)pts_dbl, "dbl ints");
-    bu_free((char *)vells, "vertex [][]");
+    bu_free((genptr_t)ellipses, "fastf_t ell[]");
+    bu_free((genptr_t)pts_dbl, "dbl ints");
+    bu_free((genptr_t)vells, "vertex [][]");
 
     return -1;
 }
@@ -1677,7 +1677,7 @@
 
     if (xip->epa_r1 <= SMALL_FASTF || xip->epa_r2 <= SMALL_FASTF) {
 	bu_log("rt_epa_import4: r1 or r2 are zero\n");
-	bu_free((char *)ip->idb_ptr, "rt_epa_import4: ip->idb_ptr");
+	bu_free((genptr_t)ip->idb_ptr, "rt_epa_import4: ip->idb_ptr");
 	return -1;
     }
 
@@ -1789,7 +1789,7 @@
 
     if (xip->epa_r1 <= SMALL_FASTF || xip->epa_r2 <= SMALL_FASTF) {
 	bu_log("rt_epa_import4: r1 or r2 are zero\n");
-	bu_free((char *)ip->idb_ptr, "rt_epa_import4: ip->idb_ptr");
+	bu_free((genptr_t)ip->idb_ptr, "rt_epa_import4: ip->idb_ptr");
 	return -1;
     }
 
@@ -1919,7 +1919,7 @@
     RT_EPA_CK_MAGIC(xip);
     xip->epa_magic = 0;		/* sanity */
 
-    bu_free((char *)xip, "epa ifree");
+    bu_free((genptr_t)xip, "epa ifree");
     ip->idb_ptr = GENPTR_NULL;	/* sanity */
 }
 
Index: librt/primitives/part/part.c
===================================================================
--- librt/primitives/part/part.c	(revision 54048)
+++ librt/primitives/part/part.c	(working copy)
@@ -894,7 +894,7 @@
     register struct part_specific *part =
 	(struct part_specific *)stp->st_specific;
 
-    bu_free((char *)part, "part_specific");
+    bu_free((genptr_t)part, "part_specific");
     stp->st_specific = GENPTR_NULL;
 }
 
@@ -1417,29 +1417,29 @@
     /* Release memory */
     /* All strips have vertices and normals */
     for (i=0; i<nstrips; i++) {
-	bu_free((char *)strips[i].vp, "strip vertex[]");
-	bu_free((char *)strips[i].norms, "strip norms[]");
+	bu_free((genptr_t)strips[i].vp, "strip vertex[]");
+	bu_free((genptr_t)strips[i].norms, "strip norms[]");
     }
     /* All strips have faces, except for equator */
     for (i=0; i < nstrips; i++) {
 	if (strips[i].fu == (struct faceuse **)0) continue;
-	bu_free((char *)strips[i].fu, "strip faceuse[]");
+	bu_free((genptr_t)strips[i].fu, "strip faceuse[]");
     }
-    bu_free((char *)strips, "strips[]");
+    bu_free((genptr_t)strips, "strips[]");
     return 0;
  fail:
     /* Release memory */
     /* All strips have vertices and normals */
     for (i=0; i<nstrips; i++) {
-	bu_free((char *)strips[i].vp, "strip vertex[]");
-	bu_free((char *)strips[i].norms, "strip norms[]");
+	bu_free((genptr_t)strips[i].vp, "strip vertex[]");
+	bu_free((genptr_t)strips[i].norms, "strip norms[]");
     }
     /* All strips have faces, except for equator */
     for (i=0; i < nstrips; i++) {
 	if (strips[i].fu == (struct faceuse **)0) continue;
-	bu_free((char *)strips[i].fu, "strip faceuse[]");
+	bu_free((genptr_t)strips[i].fu, "strip faceuse[]");
     }
-    bu_free((char *)strips, "strips[]");
+    bu_free((genptr_t)strips, "strips[]");
     return -1;
 }
 
Index: librt/primitives/submodel/submodel.c
===================================================================
--- librt/primitives/submodel/submodel.c	(revision 54048)
+++ librt/primitives/submodel/submodel.c	(working copy)
@@ -839,7 +839,7 @@
     if (bu_struct_parse(&str, rt_submodel_parse, (char *)sip) < 0) {
 	bu_vls_free(&str);
     fail:
-	bu_free((char *)sip, "rt_submodel_import4: sip");
+	bu_free((genptr_t)sip, "rt_submodel_import4: sip");
 	ip->idb_type = ID_NULL;
 	ip->idb_ptr = (genptr_t)NULL;
 	return -2;
@@ -925,7 +925,7 @@
     if (bu_struct_parse(&str, rt_submodel_parse, (char *)sip) < 0) {
 	bu_vls_free(&str);
     fail:
-	bu_free((char *)sip, "rt_submodel_import4: sip");
+	bu_free((genptr_t)sip, "rt_submodel_import4: sip");
 	ip->idb_type = ID_NULL;
 	ip->idb_ptr = (genptr_t)NULL;
 	return -2;
Index: librt/primitives/ell/ell.c
===================================================================
--- librt/primitives/ell/ell.c	(revision 54048)
+++ librt/primitives/ell/ell.c	(working copy)
@@ -614,7 +614,7 @@
     register struct ell_specific *ell =
 	(struct ell_specific *)stp->st_specific;
 
-    bu_free((char *)ell, "ell_specific");
+    bu_free((genptr_t)ell, "ell_specific");
 }
 
 
@@ -1240,29 +1240,29 @@
     /* Release memory */
     /* All strips have vertices and normals */
     for (i=0; i<nstrips; i++) {
-	bu_free((char *)strips[i].vp, "strip vertex[]");
-	bu_free((char *)strips[i].norms, "strip norms[]");
+	bu_free((genptr_t)strips[i].vp, "strip vertex[]");
+	bu_free((genptr_t)strips[i].norms, "strip norms[]");
     }
     /* All strips have faces, except for equator */
     for (i=0; i < nstrips; i++) {
 	if (strips[i].fu == (struct faceuse **)0) continue;
-	bu_free((char *)strips[i].fu, "strip faceuse[]");
+	bu_free((genptr_t)strips[i].fu, "strip faceuse[]");
     }
-    bu_free((char *)strips, "strips[]");
+    bu_free((genptr_t)strips, "strips[]");
     return 0;
 fail:
     /* Release memory */
     /* All strips have vertices and normals */
     for (i=0; i<nstrips; i++) {
-	bu_free((char *)strips[i].vp, "strip vertex[]");
-	bu_free((char *)strips[i].norms, "strip norms[]");
+	bu_free((genptr_t)strips[i].vp, "strip vertex[]");
+	bu_free((genptr_t)strips[i].norms, "strip norms[]");
     }
     /* All strips have faces, except for equator */
     for (i=0; i < nstrips; i++) {
 	if (strips[i].fu == (struct faceuse **)0) continue;
-	bu_free((char *)strips[i].fu, "strip faceuse[]");
+	bu_free((genptr_t)strips[i].fu, "strip faceuse[]");
     }
-    bu_free((char *)strips, "strips[]");
+    bu_free((genptr_t)strips, "strips[]");
     return -1;
 }
 
Index: librt/primitives/rhc/rhc.c
===================================================================
--- librt/primitives/rhc/rhc.c	(revision 54048)
+++ librt/primitives/rhc/rhc.c	(working copy)
@@ -715,7 +715,7 @@
     struct rhc_specific *rhc =
 	(struct rhc_specific *)stp->st_specific;
 
-    bu_free((char *)rhc, "rhc_specific");
+    bu_free((genptr_t)rhc, "rhc_specific");
 }
 
 
@@ -1106,8 +1106,8 @@
     }
 
     /* free mem */
-    bu_free((char *)front, "fastf_t");
-    bu_free((char *)back, "fastf_t");
+    bu_free((genptr_t)front, "fastf_t");
+    bu_free((genptr_t)back, "fastf_t");
 
     return 0;
 }
@@ -1446,13 +1446,13 @@
 
 fail:
     /* free mem */
-    bu_free((char *)front, "fastf_t");
-    bu_free((char *)back, "fastf_t");
-    bu_free((char *)vfront, "vertex *");
-    bu_free((char *)vback, "vertex *");
-    bu_free((char *)vtemp, "vertex *");
-    bu_free((char *)norms, "rt_rhc_tess: norms");
-    bu_free((char *)outfaceuses, "faceuse *");
+    bu_free((genptr_t)front, "fastf_t");
+    bu_free((genptr_t)back, "fastf_t");
+    bu_free((genptr_t)vfront, "vertex *");
+    bu_free((genptr_t)vback, "vertex *");
+    bu_free((genptr_t)vtemp, "vertex *");
+    bu_free((genptr_t)norms, "rt_rhc_tess: norms");
+    bu_free((genptr_t)outfaceuses, "faceuse *");
 
     return failure;
 }
@@ -1524,7 +1524,7 @@
 
     if (xip->rhc_r <= SMALL_FASTF || xip->rhc_c <= SMALL_FASTF) {
 	bu_log("rt_rhc_import4: r or c are zero\n");
-	bu_free((char *)ip->idb_ptr, "rt_rhc_import4: ip->idb_ptr");
+	bu_free((genptr_t)ip->idb_ptr, "rt_rhc_import4: ip->idb_ptr");
 	return -1;
     }
 
@@ -1623,7 +1623,7 @@
 
     if (xip->rhc_r <= SMALL_FASTF || xip->rhc_c <= SMALL_FASTF) {
 	bu_log("rt_rhc_import4: r or c are zero\n");
-	bu_free((char *)ip->idb_ptr, "rt_rhc_import4: ip->idb_ptr");
+	bu_free((genptr_t)ip->idb_ptr, "rt_rhc_import4: ip->idb_ptr");
 	return -1;
     }
 
@@ -1744,7 +1744,7 @@
     RT_RHC_CK_MAGIC(xip);
     xip->rhc_magic = 0;		/* sanity */
 
-    bu_free((char *)xip, "rhc ifree");
+    bu_free((genptr_t)xip, "rhc ifree");
     ip->idb_ptr = GENPTR_NULL;	/* sanity */
 }
 
Index: librt/vshoot.c
===================================================================
--- librt/vshoot.c	(revision 54048)
+++ librt/vshoot.c	(working copy)
@@ -363,9 +363,9 @@
 #endif
 
 out:
-    bu_free((char *)ary_stp, "*ary_stp[]");
-    bu_free((char *)ary_rp, "*ary_rp[]");
-    bu_free((char *)ary_seg, "ary_seg[]");
+    bu_free((genptr_t)ary_stp, "*ary_stp[]");
+    bu_free((genptr_t)ary_rp, "*ary_rp[]");
+    bu_free((genptr_t)ary_seg, "ary_seg[]");
 
     if (solidbits != NULL) {
 	bu_bitv_free(solidbits);
Index: librt/db_fullpath.c
===================================================================
--- librt/db_fullpath.c	(revision 54048)
+++ librt/db_fullpath.c	(working copy)
@@ -317,7 +317,7 @@
     RT_CK_FULL_PATH(pp);
 
     if (pp->fp_maxlen > 0) {
-	bu_free((char *)pp->fp_names, "db_full_path array");
+	bu_free((genptr_t)pp->fp_names, "db_full_path array");
 	pp->fp_maxlen = pp->fp_len = 0;
 	pp->fp_names = (struct directory **)0;
     }
Index: librt/oslo_calc.c
===================================================================
--- librt/oslo_calc.c	(revision 54048)
+++ librt/oslo_calc.c	(working copy)
@@ -221,8 +221,8 @@
     while (om != (struct oslo_mat *) 0) {
 	omp = om;
 	om = om->next;
-	bu_free((char *)omp->o_vec, "rt_nurb_free_oslo: ovec");
-	bu_free((char *)omp, "rt_nurb_free_oslo: struct oslo");
+	bu_free((genptr_t)omp->o_vec, "rt_nurb_free_oslo: ovec");
+	bu_free((genptr_t)omp, "rt_nurb_free_oslo: struct oslo");
     }
 }
 
Index: librt/comb/comb.c
===================================================================
--- librt/comb/comb.c	(revision 54048)
+++ librt/comb/comb.c	(working copy)
@@ -547,7 +547,7 @@
 			sizeof(mat_t), "v5comb mat");
 		    bn_mat_mul(tp->tr_l.tl_mat, mat, diskmat);
 		    if (bn_mat_is_identity(tp->tr_l.tl_mat)) {
-			bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
+			bu_free((genptr_t)tp->tr_l.tl_mat, "tl_mat");
 			tp->tr_l.tl_mat = (matp_t)NULL;
 		    }
 		}
@@ -596,15 +596,15 @@
 		comb->tree = (union tree *)NULL;
 		bu_ptbl_free(tbl1);
 		bu_ptbl_free(tbl2);
-		bu_free((char *)tbl1, "rt_comb_import5: tbl1");
-		bu_free((char *)tbl2, "rt_comb_import5: tbl2");
+		bu_free((genptr_t)tbl1, "rt_comb_import5: tbl1");
+		bu_free((genptr_t)tbl2, "rt_comb_import5: tbl2");
 		break;
 	    } else if (BU_PTBL_LEN(tbl2) == 1) {
 		comb->tree = (union tree *)BU_PTBL_GET(tbl2, 0);
 		bu_ptbl_free(tbl1);
 		bu_ptbl_free(tbl2);
-		bu_free((char *)tbl1, "rt_comb_import5: tbl1");
-		bu_free((char *)tbl2, "rt_comb_import5: tbl2");
+		bu_free((genptr_t)tbl1, "rt_comb_import5: tbl1");
+		bu_free((genptr_t)tbl2, "rt_comb_import5: tbl2");
 		break;
 	    }
 
@@ -670,7 +670,7 @@
 			    sizeof(mat_t), "v5comb mat");
 			bn_mat_mul(tp->tr_l.tl_mat, mat, diskmat);
 			if (bn_mat_is_identity(tp->tr_l.tl_mat)) {
-			    bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
+			    bu_free((genptr_t)tp->tr_l.tl_mat, "tl_mat");
 			    tp->tr_l.tl_mat = (matp_t)NULL;
 			}
 		    }
Index: librt/comb/db_comb.c
===================================================================
--- librt/comb/db_comb.c	(revision 54048)
+++ librt/comb/db_comb.c	(working copy)
@@ -560,7 +560,7 @@
 
     rp[0].c.c_inherit = comb->inherit;
 
-    if (rt_tree_array) bu_free((char *)rt_tree_array, "rt_tree_array");
+    if (rt_tree_array) bu_free((genptr_t)rt_tree_array, "rt_tree_array");
 
     return 0;		/* OK */
 }
Index: librt/tree.c
===================================================================
--- librt/tree.c	(revision 54048)
+++ librt/tree.c	(working copy)
@@ -630,7 +630,7 @@
 	    stp->st_meth->ft_free(stp);
 	stp->st_aradius = 0;
     }
-    if (stp->st_matp) bu_free((char *)stp->st_matp, "st_matp");
+    if (stp->st_matp) bu_free((genptr_t)stp->st_matp, "st_matp");
     stp->st_matp = (matp_t)0;	/* Sanity */
 
     bu_ptbl_free(&stp->st_regions);
@@ -642,7 +642,7 @@
 	db_free_full_path(&stp->st_path);
     }
 
-    bu_free((char *)stp, "struct soltab");
+    bu_free((genptr_t)stp, "struct soltab");
 }
 
 
Index: librt/vlist.c
===================================================================
--- librt/vlist.c	(revision 54048)
+++ librt/vlist.c	(working copy)
@@ -89,9 +89,9 @@
 	BN_FREE_VLIST(vbp->free_vlist_hd, &(vbp->head[i]));
     }
 
-    bu_free((char *)(vbp->head), "head[]");
-    bu_free((char *)(vbp->rgb), "rgb[]");
-    bu_free((char *)vbp, "bn_vlblock");
+    bu_free((genptr_t)(vbp->head), "head[]");
+    bu_free((genptr_t)(vbp->rgb), "rgb[]");
+    bu_free((genptr_t)vbp, "bn_vlblock");
 
 }
 
@@ -241,7 +241,7 @@
     while (BU_LIST_WHILE(vp, bn_vlist, hd)) {
 	BN_CK_VLIST(vp);
 	BU_LIST_DEQUEUE(&(vp->l));
-	bu_free((char *)vp, "bn_vlist");
+	bu_free((genptr_t)vp, "bn_vlist");
     }
 }
 
Index: librt/mater.c
===================================================================
--- librt/mater.c	(revision 54048)
+++ librt/mater.c	(working copy)
@@ -74,7 +74,7 @@
 	    newp->mt_forw = zot->mt_forw;
 	    bu_log("dropping overlapping region-id based material property entry:\n");
 	    rt_pr_mater(zot);
-	    bu_free((char *)zot, "getstruct mater");
+	    bu_free((genptr_t)zot, "getstruct mater");
 	    continue;
 	}
 	if (newp->mt_high >= newp->mt_forw->mt_low) {
@@ -120,7 +120,7 @@
 	    newp->mt_forw = mp->mt_forw;
 	    rt_pr_mater(mp);
 	    *mp = *newp;		/* struct copy */
-	    bu_free((char *)newp, "getstruct mater");
+	    bu_free((genptr_t)newp, "getstruct mater");
 	    newp = mp;
 	    _rt_check_overlap(newp);
 	    return;
@@ -305,7 +305,7 @@
     while ((mp = material_head) != MATER_NULL) {
 	material_head = mp->mt_forw;	/* Dequeue 'mp' */
 	/* mt_handle? */
-	bu_free((char *)mp, "getstruct mater");
+	bu_free((genptr_t)mp, "getstruct mater");
 	mp = MATER_NULL;
     }
 }
Index: librt/memalloc.c
===================================================================
--- librt/memalloc.c	(revision 54048)
+++ librt/memalloc.c	(working copy)
@@ -356,7 +356,7 @@
 
     while ((mp = rt_mem_freemap) != MAP_NULL) {
 	rt_mem_freemap = mp->m_nxtp;
-	bu_free((char *)mp, "struct mem_map " BU_FLSTR);
+	bu_free((genptr_t)mp, "struct mem_map " BU_FLSTR);
     }
 }
 
Index: librt/db_alloc.c
===================================================================
--- librt/db_alloc.c	(revision 54048)
+++ librt/db_alloc.c	(working copy)
@@ -211,7 +211,7 @@
     for (i=0; i < todo; i++)
 	rp[i].u_id = ID_FREE;
     ret = db_put(dbip, dp, rp, (off_t)start, todo);
-    bu_free((char *)rp, "db_zapper buf");
+    bu_free((genptr_t)rp, "db_zapper buf");
     return ret;
 }
 
Index: librt/db_walk.c
===================================================================
--- librt/db_walk.c	(revision 54048)
+++ librt/db_walk.c	(working copy)
@@ -123,7 +123,7 @@
 		    continue;
 		db_preorder_traverse(mdp, dtp);
 	    }
-	    bu_free((char *)rp, "db_preorder_traverse[]");
+	    bu_free((genptr_t)rp, "db_preorder_traverse[]");
 	} else {
 	    struct rt_db_internal in;
 	    struct rt_comb_internal *comb;
@@ -237,7 +237,7 @@
 		    continue;
 		db_functree(dbip, mdp, comb_func, leaf_func, resp, client_data);
 	    }
-	    bu_free((char *)rp, "db_functree record[]");
+	    bu_free((genptr_t)rp, "db_functree record[]");
 	} else {
 	    struct rt_db_internal in;
 	    struct rt_comb_internal *comb;
Index: librt/db_tree.c
===================================================================
--- librt/db_tree.c	(revision 54048)
+++ librt/db_tree.c	(working copy)
@@ -155,7 +155,7 @@
     db_free_full_path(&(ctsp->cts_p));
     db_free_db_tree_state(&(ctsp->cts_s));
     memset((char *)ctsp, 0, sizeof(*ctsp));		/* sanity */
-    bu_free((char *)ctsp, "combined_tree_state");
+    bu_free((genptr_t)ctsp, "combined_tree_state");
 }
 
 
@@ -920,7 +920,7 @@
 	    if (db_apply_state_from_memb(&memb_state, pathp, tp) < 0) {
 		/* Lookup of this leaf failed, NOP it out. */
 		if (tp->tr_l.tl_mat) {
-		    bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
+		    bu_free((genptr_t)tp->tr_l.tl_mat, "tl_mat");
 		    tp->tr_l.tl_mat = NULL;
 		}
 		bu_free(tp->tr_l.tl_name, "tl_name");
@@ -943,7 +943,7 @@
 		 * NOP it out.
 		 */
 		if (tp->tr_l.tl_mat) {
-		    bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
+		    bu_free((genptr_t)tp->tr_l.tl_mat, "tl_mat");
 		    tp->tr_l.tl_mat = NULL;
 		}
 		bu_free(tp->tr_l.tl_name, "tl_name");
@@ -969,7 +969,7 @@
 	    } else {
 		/* Processing of this leaf failed, NOP it out. */
 		if (tp->tr_l.tl_mat) {
-		    bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
+		    bu_free((genptr_t)tp->tr_l.tl_mat, "tl_mat");
 		    tp->tr_l.tl_mat = NULL;
 		}
 		bu_free(tp->tr_l.tl_name, "tl_name");
@@ -1373,7 +1373,7 @@
 	    {
 		struct nmgregion *r = tp->tr_d.td_r;
 		if (tp->tr_d.td_name) {
-		    bu_free((char *)tp->tr_d.td_name, "region name");
+		    bu_free((genptr_t)tp->tr_d.td_name, "region name");
 		    tp->tr_d.td_name = (const char *)NULL;
 		}
 		if (r == (struct nmgregion *)NULL) {
@@ -1393,7 +1393,7 @@
 
 	case OP_DB_LEAF:
 	    if (tp->tr_l.tl_mat) {
-		bu_free((char *)tp->tr_l.tl_mat, "tl_mat");
+		bu_free((genptr_t)tp->tr_l.tl_mat, "tl_mat");
 		tp->tr_l.tl_mat = NULL;
 	    }
 	    bu_free(tp->tr_l.tl_name, "tl_name");
@@ -2252,7 +2252,7 @@
     for (i = 0; i < new_reg_count; i++) {
 	db_free_tree(reg_trees[i], resp);
     }
-    bu_free((char *)reg_trees, "*reg_trees[]");
+    bu_free((genptr_t)reg_trees, "*reg_trees[]");
 
     if (something_not_found) {
 	bu_log ("db_walk_tree: %d %s not found.\n",
@@ -2770,13 +2770,13 @@
 		bu_vls_printf(vls,
 			      "db_tree_parse: unary operator %s has insufficient operands in %s\n",
 			      argv[0], str);
-		bu_free((char *)tp, "union tree");
+		bu_free((genptr_t)tp, "union tree");
 		tp = TREE_NULL;
 		goto out;
 	    }
 	    tp->tr_b.tb_left = db_tree_parse(vls, argv[1], resp);
 	    if (tp->tr_b.tb_left == TREE_NULL) {
-		bu_free((char *)tp, "union tree");
+		bu_free((genptr_t)tp, "union tree");
 		tp = TREE_NULL;
 		goto out;
 	    }
Index: librt/db_anim.c
===================================================================
--- librt/db_anim.c	(revision 54048)
+++ librt/db_anim.c	(working copy)
@@ -213,7 +213,7 @@
     }
 
     db_free_full_path(&anp->an_path);
-    bu_free((char *)anp, "animate");
+    bu_free((genptr_t)anp, "animate");
 }
 
 void
Index: librt/bool.c
===================================================================
--- librt/bool.c	(revision 54048)
+++ librt/bool.c	(working copy)
@@ -2066,7 +2066,7 @@
 
 	    if (!reg_count) {
 		BU_LIST_DEQUEUE((struct bu_list *)pp)
-		    bu_free((char *)pp->pt_overlap_reg, "overlap list");
+		    bu_free((genptr_t)pp->pt_overlap_reg, "overlap list");
 		pp->pt_overlap_reg = NULL;	/* sanity */
 		pp = (struct partition *)NULL;
 	    }
@@ -2113,7 +2113,7 @@
 		}
 	    }
 	    if (pp->pt_overlap_reg) {
-		bu_free((char *)pp->pt_overlap_reg, "overlap list");
+		bu_free((genptr_t)pp->pt_overlap_reg, "overlap list");
 		pp->pt_overlap_reg = (struct region **)NULL;
 	    }
 	}
Index: librt/bezier_2d_isect.c
===================================================================
--- librt/bezier_2d_isect.c	(revision 54048)
+++ librt/bezier_2d_isect.c	(working copy)
@@ -136,7 +136,7 @@
 	    max_distance_above = FMAX(max_distance_above, distance[i]);
 	}
     }
-    bu_free((char *)distance, "ControlPolygonFlatEnough");
+    bu_free((genptr_t)distance, "ControlPolygonFlatEnough");
 
     {
 	double det, dInv;
@@ -245,8 +245,8 @@
     }
 
     for (i=0; i<=degree; i++)
-	bu_free((char *)Vtemp[i], "Bezier: Vtemp[i]");
-    bu_free((char *)Vtemp, "Bezier: Vtemp");
+	bu_free((genptr_t)Vtemp[i], "Bezier: Vtemp[i]");
+    bu_free((genptr_t)Vtemp, "Bezier: Vtemp");
 
     return;
 }
@@ -352,8 +352,8 @@
 		*intercept = (point2d_t *)bu_malloc(sizeof(point2d_t), "FindRoots: unique solution (intercept)");
 		*normal = (point2d_t *)bu_malloc(sizeof(point2d_t), "FindRoots: unique solution (normal)");
 		if (!ComputeXIntercept(w, degree, ray_start, ray_dir, *intercept[0], *normal[0])) {
-		    bu_free((char *)(*intercept), "FindRoots: no solution");
-		    bu_free((char *)(*normal), "FindRoots: no solution");
+		    bu_free((genptr_t)(*intercept), "FindRoots: no solution");
+		    bu_free((genptr_t)(*normal), "FindRoots: no solution");
 		    return 0;
 		}
 		return 1;
@@ -373,8 +373,8 @@
 
     total_count = left_count + right_count;
 
-    bu_free((char *)Left, "FindRoots: Left");
-    bu_free((char *)Right, "FindRoots: Right");
+    bu_free((genptr_t)Left, "FindRoots: Left");
+    bu_free((genptr_t)Right, "FindRoots: Right");
     if (total_count) {
 	*intercept = (point2d_t *)bu_calloc(total_count, sizeof(point2d_t),
 					    "FindRoots: roots compilation");
@@ -393,12 +393,12 @@
     }
 
     if (left_count) {
-	bu_free((char *)left_t, "Left roots");
-	bu_free((char *)left_n, "Left normals");
+	bu_free((genptr_t)left_t, "Left roots");
+	bu_free((genptr_t)left_n, "Left normals");
     }
     if (right_count) {
-	bu_free((char *)right_t, "Right roots");
-	bu_free((char *)right_n, "Right normals");
+	bu_free((genptr_t)right_t, "Right roots");
+	bu_free((genptr_t)right_n, "Right normals");
     }
 
     /* Send back total number of solutions */
@@ -442,8 +442,8 @@
 
     /* eliminate original */
     BU_LIST_DEQUEUE(&bezier_in->l);
-    bu_free((char *)bezier_in->ctl, "subdivide_bezier: bezier_in->ctl");
-    bu_free((char *)bezier_in, "subdivide_bezier: bezier_in");
+    bu_free((genptr_t)bezier_in->ctl, "subdivide_bezier: bezier_in->ctl");
+    bu_free((genptr_t)bezier_in, "subdivide_bezier: bezier_in");
 
     /* recurse on left curve */
     left_rtrn = subdivide_bezier(bz_l, degree, epsilon, depth+1);
@@ -453,8 +453,8 @@
 
     BU_LIST_APPEND_LIST(&new_head->l, &left_rtrn->l);
     BU_LIST_APPEND_LIST(&new_head->l, &rt_rtrn->l);
-    bu_free((char *)left_rtrn, "subdivide_bezier: left_rtrn (head)");
-    bu_free((char *)rt_rtrn, "subdivide_bezier: rt_rtrn (head)");
+    bu_free((genptr_t)left_rtrn, "subdivide_bezier: left_rtrn (head)");
+    bu_free((genptr_t)rt_rtrn, "subdivide_bezier: rt_rtrn (head)");
 
     return new_head;
 }
Index: librt/shoot.c
===================================================================
--- librt/shoot.c	(revision 54048)
+++ librt/shoot.c	(working copy)
@@ -123,7 +123,7 @@
 
 	rtip->rti_nsolids_with_pieces = 0;
     }
-    bu_free((char *)resp->re_pieces, "re_pieces[]");
+    bu_free((genptr_t)resp->re_pieces, "re_pieces[]");
     resp->re_pieces = NULL;
 }
 
Index: librt/search.c
===================================================================
--- librt/search.c	(revision 54048)
+++ librt/search.c	(working copy)
@@ -250,7 +250,7 @@
 		    DB_FULL_PATH_POP(dfp);
 		}
 	    }
-	    bu_free((char *)rp, "db_preorder_traverse[]");
+	    bu_free((genptr_t)rp, "db_preorder_traverse[]");
 	} else {
 	    struct rt_db_internal in;
 	    struct rt_comb_internal *comb;
@@ -526,7 +526,7 @@
 		    }
 		}
 	    }
-	    bu_free((char *)rp, "db_preorder_traverse[]");
+	    bu_free((genptr_t)rp, "db_preorder_traverse[]");
 	} else {
 	    struct rt_db_internal in;
 	    struct rt_comb_internal *comb;
